.room-detail-box img {
  width: 100%;
  cursor: pointer;
}

.thumb-list >.row .col-xl-6:nth-child(1),
.thumb-list >.row .col-xl-6:nth-child(2) {
  margin-bottom: 15px;
}

.thumb-list {
    position: relative;
}

.image-number {
    position: absolute;
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: rgb(14 14 14 / 40%);
    padding: 8px 12px;
    border-radius: 10px;
    right: 20px;
    bottom: 10px;
}

.image-number span:last-child {
    font-size: 1.6rem;
    color: #fff;
    margin-left: 11px;
    font-weight: bold;
}

.image-number span {
    display: block;
}

.thumb-mobile {
  display: none;
}

.roomDetailSwiper .swiper-slide {
  display: flex;
  justify-content: center;
  align-items: center;
}

.swiper-zoom-container img {
  width: 100%;
  height: auto;
  object-fit: cover; /* đảm bảo ảnh không bị méo */
  touch-action: none; /* quan trọng cho pinch/drag */
}

/* SWIPPER */

.room-detail-images .swiper {
  width: 100%;
  height: 100%;
}

.room-detail-images .swiper-slide {
  text-align: center;
  font-size: 18px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.room-detail-images .swiper-slide a {
  display: block;
  width: 100%;
  height: 100%;
}

.room-detail-images .swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.room-detail-images .swiper {
  width: 100%;
  height: 300px;
  margin-left: auto;
  margin-right: auto;
}

.room-detail-images .swiper-slide {
  background-size: cover;
  background-position: center;
}

.room-detail-images .mySwiper2 {
  height: 80%;
  width: 100%;
}

.room-detail-images .mySwiper {
  height: 20%;
  box-sizing: border-box;
  padding: 10px 0;
}

.room-detail-images .mySwiper .swiper-slide {
  width: 25%;
  height: 100%;
}

.room-detail-images .swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.room-detail-images .mySwiper .swiper-slide {
  position: relative;
}

.room-detail-images .mySwiper .swiper-slide::after {
  content: "";
  position: absolute;
  inset: 0;        /* = top:0; left:0; right:0; bottom:0; */
  background: rgba(0,0,0,0.5); /* Lớp phủ đen */
  transition: 0.3s;
}

/* Khi slide đang active (được chọn) thì bỏ overlay */
.room-detail-images .mySwiper .swiper-slide-thumb-active::after {
  background: rgba(0,0,0,0);
}

.room-detail-images {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: #fff;
  z-index: -1;
  opacity: 0;
}

.room-detail-images.open {
  z-index: 3;
  opacity: 1;
}

.room-detail-images .room-detail-box {
  height: 100vh;
  position: relative;
}

.close-images {
  position: absolute;
  top: 0;
  right: 10px;
  font-size: 1.7rem;
  background: #fff;
  border-radius: 10px;
  display: block;
  padding: 10px 18px;
  z-index: 4;
  border: 1px solid #e1e1e1;
  cursor: pointer;
}

.room-detail-box p,
.room-index span {
  font-size: 1.6rem;
}
.room-detail-box .room-code,
.room-detail-box .room-title  {
  font-weight: 500;
}
.room-detail-box .room-title {
  font-size: 2rem;
}

.room-detail-box .room-index {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.room-detail-box .room-index {
    padding: 10px;
    border-radius: 5px;
    border: 1px solid #ccc;
}

.room-detail-box  .room-part {
    font-size: 2rem;
}

.room-detail-box .room-index-item> span.room-part {
  margin-left: 12px;
}

.room-detail-box .form-search {
  padding: 10px;
  font-size: 1.7rem;
}

.room-detail-box #form label,
.room-extension .extension-item  {
    font-size: 1.6rem;
}

.room-detail-box #form .btn-main {
    min-width: 200px;
}

/* Tiện ích */
.extension-icon {
  margin-right: 10px;
}

.room-detail-box .room-intro strong {
  font-weight: 600 ;
}

.room-detail-box ul {
    margin-left: 40px;
    font-size: 1.6rem;
}

.room-detail-box ul li{
    margin-bottom: 5px;
}


.atributeImg {
    width: 20px;
    margin-right: 10px;
}
/* Nhận xét */
/* TESTIMONIALS */
.star-icon {
  color: #ff8d00;
  font-size: 1.6rem;
}

.feadback-desc {
  font-size: 1.6rem;
}

.user-avatar {
  border-radius: 50%;
  overflow: hidden;
  border: 4px solid #f5f5f5;
  margin-right: 10px;
  height: 100px;
  width: 100px;
}

.user-info p {
  font-size: 1.8rem;
  font-weight: 500;
  margin-bottom: 2px;
}

.user-info span {
  font-size: 1.4rem;
}

.feadback-icon {
  font-size: 10rem;
}

.avatar {
  position: relative;
}

.avatar img:last-child {
  position: absolute;
  left: 63%;
  bottom: -20%;
  width: 330px;
}

span.swiper-pagination-bullet {
  font-size: 2rem;
  height: 2px;
  width: 30px;
  border-radius: 0;
}

.room-detail-box.room-add.fiexd {
    position: fixed;
    top: 10px;
    background-color: #fff;
    z-index: 2;
}

#loading-img {
    align-items: center;
    justify-content: center;
    display: none;
    font-size: 16px;
    color: green;
    font-weight: 500;
}


.img-load {
    height: 50px;
    width: 50px;
}

.img-load img {
    animation: spin 2s linear infinite;
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

#loading-img.active {
    display: flex;
}

.text-validate {
    font-size: 14px;
}

@media (max-width: 1199px) {

.room-detail-box .row .col-xl-4:not(:last-child) .room-index {
  margin-bottom: 10px;
}

}
@media (max-width: 998px) {

.room-detail-images .mySwiper2 {
    height: 60%;
}

}

@media (max-width: 768px) {

.room-detail-images {
    display: none;
}

}
@media (max-width: 767px) {

    .thumb-pc {
      display: none;
    }

    .thumb-mobile {
      display: block;
    }

}
